Package org.eclipse.ui.views.properties.tabbed

## Class AbstractOverridableTabListPropertySection

- java.lang.Object
- - org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
  - - org.eclipse.ui.views.properties.tabbed.AbstractOverridableTabListPropertySection

All Implemented Interfaces:
  `IOverridableTabList`, `ISection`

    public class AbstractOverridableTabListPropertySection
    extends AbstractPropertySection
    implements IOverridableTabList

An abstract implementation of a section in a tab that overrides the tabs that are provided by the tabbed property registry with a new list of tabs.

Since:
  3.4

### Field Summary

### Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection

`STANDARD_LABEL_WIDTH`

### Constructor Summary

Constructors
`AbstractOverridableTabListPropertySection()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ITabItem[]` `getTabs()` Returns the list of tabs.
`void` `selectTab​(int tab)` Select the tab at the provided index.

### Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection

`aboutToBeHidden, aboutToBeShown, createControls, dispose, getMinimumHeight, getPart, getSelection, getWidgetFactory, refresh, setInput, shouldUseExtraSpace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractOverridableTabListPropertySection

    public AbstractOverridableTabListPropertySection()

### Method Detail

#### getTabs

    public ITabItem[] getTabs()

Description copied from interface: `IOverridableTabList`
Returns the list of tabs.

Specified by:
  `getTabs` in interface `IOverridableTabList`
Returns:
  the list of tabs.

#### selectTab

    public void selectTab​(int tab)

Description copied from interface: `IOverridableTabList`
Select the tab at the provided index.

Specified by:
  `selectTab` in interface `IOverridableTabList`
Parameters:
  `tab` - the index in the list of tabs to select.